Subject: Re: [REGRESSION] git-gui

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 3 Apr 2008 21:27:23 -0400

Jonathan del Strother <[email-masked]> wrote:
> On Thu, Apr 3, 2008 at 10:04 PM, Michele Ballabio
> <[email-masked]> wrote:
> > On Thursday 03 April 2008, Jonathan del Strother wrote:
> >  > On Thu, Apr 3, 2008 at 2:43 PM, André Goddard Rosa <[email-masked]> wrote:
> >  > >
> >  > >  # git gui
> >  > >  Error in startup script: bad event type or keysym "["
> >  > >     while executing
> >  > >  "bind $ui_comm <$M1B-Key-\[> {show_less_context;break}"
> >  >
> >  > Doh, I broke git :(

You and me both Jonathan.  I tested it on both Mac OS X and Win32,
and on Tcl/Tk 8.4.1, 8.4.10, 8.4.15, and 8.5.0.  Never ran into
this failure.  So the original poster must be running 8.4.0, and
8.4.0 must not support this binding.  Added in 8.4.1?  *sigh*

> >  These changes should help (haven't tried):
> >         \[ -> bracketleft
> >         \] -> bracketright
> >  but some European keyboards do not have easy access to brackets, so
> >  other keys would be preferable (comma and period, for example, or 1 and 2).
> 
> Anyone else got any opinions on an appropriate shortcut?  How about
> '=' and '-' (+ and - without the shift), or are those not necessarily
> together either?  (Are there really layouts where '[' and ']' aren't
> next to each other?)

I don't know, [ and ] seem reasonable to me.  Git is mostly a source
code control system.  A lot of languages use [ and ] as part of
their syntax.  If you are typing on a keyboard that is difficult to
access these keys on, you are probably already used to contorting
your fingers.  :-|

I wrote up a patch today based on Michele's suggested change.
It works everywhere I can test, but I don't have an 8.4.0
installation like the original poster.

Unless someone posts a patch to change the keys away from [ and ]
I say leave them as-is.  But I'm willing to entertain a change if
someone who cares writes a patch for it.

-- 
Shawn.